<?php if (isset($component)) { $__componentOriginal7d9f6e0b9001f5841f72577781b2d17f = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal7d9f6e0b9001f5841f72577781b2d17f = $attributes; } ?>
<?php $component = App\View\Components\Table::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('table'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\Table::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['class' => 'table-sm-responsive table mb-0']); ?>
     <?php $__env->slot('thead', null, []); ?> 
        <th><?php echo app('translator')->get('app.title'); ?></th>
        <?php if($type !== 'apps'): ?>
            <th><?php echo app('translator')->get('app.description'); ?></th>
        <?php endif; ?>
        <th><?php echo app('translator')->get('app.language'); ?></th>
        <?php if($type != 'settings'): ?>
            <th><?php echo e(__('superadmin.types.'.$type)); ?></th>
        <?php endif; ?>
        <th class="text-right"><?php echo app('translator')->get('app.action'); ?></th>
     <?php $__env->endSlot(); ?>

    <?php $__empty_1 = true; $__currentLoopData = $features; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $feature): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
        <tr class="row<?php echo e($feature->id); ?>">
            <td><?php echo e($feature->title); ?></td>
            <?php if($type !== 'apps'): ?>
                <td><?php echo mb_strimwidth($feature->description, 0, 50, '...'); ?></td>
            <?php endif; ?>
           <td><?php echo e($feature->language ? $feature->language->language_name : 'English'); ?></td>
           <?php if($type != 'settings'): ?>
            <td <?php if($feature->type != 'image' && $feature->type != 'apps'): ?> style="font-size: 27px" <?php endif; ?>>
                    <?php if($feature->type == 'image' || $feature->type == 'apps'): ?>
                        <img style="max-height: 40px" src="<?php echo e($feature->image_url); ?>" alt=""/>
                    <?php elseif($feature->type == 'icon'): ?>
                        <i class="<?php echo e($feature->icon); ?> f-14"></i>
                    <?php endif; ?>
                </td>
            <?php endif; ?>
            <td class="text-right">
                <div class="task_view">
                    <a class="task_view_more d-flex align-items-center justify-content-center edit-feature"
                       data-id="<?php echo e($feature->id); ?>" data-type="<?php echo e($type); ?>">
                        <i class="fa fa-edit icons mr-2"></i> <?php echo app('translator')->get('app.edit'); ?>
                    </a>
                </div>
                <div class="task_view mt-1 mt-lg-0 mt-md-0">
                    <a class="task_view_more d-flex align-items-center justify-content-center delete-table-row"
                       href="javascript:;" data-id="<?php echo e($feature->id); ?>" data-type="<?php echo e($type); ?>">
                        <i class="fa fa-trash icons mr-2"></i> <?php echo app('translator')->get('app.delete'); ?>
                    </a>
                </div>
            </td>
        </tr>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
        <tr>
            <td colspan="4">
                <?php if (isset($component)) { $__componentOriginal269164c77d9d34462c34359c03da6a68 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal269164c77d9d34462c34359c03da6a68 = $attributes; } ?>
<?php $component = App\View\Components\Cards\NoRecord::resolve(['icon' => 'list','message' => __('messages.noRecordFound')] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('cards.no-record'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\Cards\NoRecord::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal269164c77d9d34462c34359c03da6a68)): ?>
<?php $attributes = $__attributesOriginal269164c77d9d34462c34359c03da6a68; ?>
<?php unset($__attributesOriginal269164c77d9d34462c34359c03da6a68); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal269164c77d9d34462c34359c03da6a68)): ?>
<?php $component = $__componentOriginal269164c77d9d34462c34359c03da6a68; ?>
<?php unset($__componentOriginal269164c77d9d34462c34359c03da6a68); ?>
<?php endif; ?>
            </td>
        </tr>
    <?php endif; ?>

 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal7d9f6e0b9001f5841f72577781b2d17f)): ?>
<?php $attributes = $__attributesOriginal7d9f6e0b9001f5841f72577781b2d17f; ?>
<?php unset($__attributesOriginal7d9f6e0b9001f5841f72577781b2d17f); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal7d9f6e0b9001f5841f72577781b2d17f)): ?>
<?php $component = $__componentOriginal7d9f6e0b9001f5841f72577781b2d17f; ?>
<?php unset($__componentOriginal7d9f6e0b9001f5841f72577781b2d17f); ?>
<?php endif; ?>
<?php /**PATH /home/duceqbfx/datapadsolutions.xyz/resources/views/super-admin/front-setting/feature-setting/feature-data.blade.php ENDPATH**/ ?>