<?php $__env->startSection('header-section'); ?>
    <?php echo $__env->make('super-admin.saas.section.breadcrumb', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>


<?php $__env->startPush('head-script'); ?>
    <?php if(count($packages) > 0): ?>
    <style>
        .package-column {
            max-width: 25%;
            flex: 0 0 25%
        }

        .package-contact-btn {
            font-size: 12px;
        }

        .rate p {
            font-size: 12px;
        }
    </style>
    <?php endif; ?>
    <link type="text/css" rel="stylesheet" media="all" href="<?php echo e(asset('saas/css/quill.snow.css')); ?>">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <!-- START Pricing Section -->
    <section class="pricing-section bg-white sp-100">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="sec-title mb-5">
                        <h3><?php echo e($trFrontDetail->price_title); ?></h3>
                        <p><?php echo e($trFrontDetail->price_description); ?></p>
                    </div>
                    
                        
                    
                </div>

            </div>
            <div class="row mb-3">
                <div class="col-md-4 col-12"></div>
                <div class="col-md-4 col-12">
                    <select class="custom-select custom-select-sm" id="currency">
                        <?php $__currentLoopData = $currencies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $currency): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($currency->id); ?>" <?php if($currency->id == global_setting()->currency_id): echo 'selected'; endif; ?>>
                                <?php echo e($currency->currency_name); ?> (<?php echo e($currency->currency_symbol); ?>)
                            </option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                </div>
            </div>
            <div id="price-plan">
                <?php echo $__env->make('super-admin.saas.pricing-plan', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            </div>
        </div>
    </section>
    <!-- END Pricing Section -->

    <!-- START Section FAQ -->
    <section class="bg-white sp-100-70 pt-0">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="sec-title mb-60">
                        <h3><?php echo e($trFrontDetail->faq_title); ?></h3>
                    </div>
                </div>
            </div>
            <div class="row justify-content-center">
                <div class="col-lg-9">
                    <div id="accordion" class="theme-accordion">
                        <?php $__empty_1 = true; $__currentLoopData = $frontFaqs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $frontFaq): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <div class="card border-0 mb-30">
                                <div class="card-header border-bottom-0 p-0" id="acc<?php echo e($frontFaq->id); ?>">
                                    <h5 class="mb-0">
                                        <button class="position-relative text-decoration-none w-100 text-left collapsed"
                                                data-toggle="collapse" data-target="#collapse<?php echo e($frontFaq->id); ?>"
                                                aria-controls="collapse<?php echo e($frontFaq->id); ?>">
                                           <?php echo e($frontFaq->question); ?>

                                        </button>
                                    </h5>
                                </div>

                                <div id="collapse<?php echo e($frontFaq->id); ?>" class="collapse" aria-labelledby="acc<?php echo e($frontFaq->id); ?>" data-parent="#accordion">
                                    <div class="card-body ql-editor">
                                        <p><?php echo $frontFaq->answer; ?></p>
                                    </div>
                                </div>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- END Section FAQ -->

<?php $__env->stopSection(); ?>
<?php $__env->startPush('footer-script'); ?>
<script>
   <?php if($monthlyPlan <= 0): ?>
        $('.annual_package').removeClass('inactive').addClass('active');
        $('#yearly').removeClass('inactive').addClass('active');
    <?php else: ?>
        $('#monthly').removeClass('inactive').addClass('active');
    <?php endif; ?>
    // #currency on change request and load price plan on that currency
    $('body').on('change', '#currency', function () {
        let currencyId = $(this).val();
        let url = '<?php echo e(route('front.pricing')); ?>';
        $.easyAjax({
            url: url,
            type: "GET",
            data: {
                'currencyId':currencyId
            },
            success: function (response) {
                $('#price-plan').html(response.view);
            }
        })

    });

</script>

<?php $__env->stopPush(); ?>

<?php echo $__env->make('super-admin.layouts.saas-app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/duceqbfx/datapadsolutions.xyz/resources/views/super-admin/saas/pricing.blade.php ENDPATH**/ ?>