<div class="text-center mb-5">
    <div class="nav price-tabs justify-content-center" role="tablist">
        <?php if($monthlyPlan > 0): ?>
            <a class="nav-link active" href="#monthly" role="tab" data-toggle="tab"><?php echo app('translator')->get('app.monthly'); ?></a>
        <?php endif; ?>
        <?php if($annualPlan > 0): ?>
            <a class="nav-link annual_package <?php if(!($monthlyPlan > 0)): ?> active <?php endif; ?>" href="#yearly" role="tab" data-toggle="tab"><?php echo app('translator')->get('app.annually'); ?></a>
        <?php endif; ?>
    </div>
</div>
<div class="tab-content wow fadeIn">
    <div role="tabpanel" class="tab-pane <?php if($monthlyPlan > 0): ?> active <?php endif; ?>" id="monthly">
        <div class="container">
            <div class="price-wrap row no-gutters border-left">
                <div class="diff-table col-6 col-md-3 border-top border-bottom">
                    <div class="price-top">
                        <div class="price-top title">
                            <h3><?php echo app('translator')->get('superadmin.pickUp'); ?> <br> <?php echo app('translator')->get('superadmin.yourPlan'); ?></h3>
                        </div>
                        <div class="price-content">

                            <ul>
                                <li>
                                    <?php echo app('translator')->get('superadmin.max'); ?> <?php echo app('translator')->get('app.active'); ?> <?php echo app('translator')->get('app.menu.employees'); ?>
                                </li>
                                <li>
                                    <?php echo app('translator')->get('superadmin.fileStorage'); ?>
                                </li>
                                <?php $__currentLoopData = $packageFeatures; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $packageFeature): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if(in_array($packageFeature, $activeModule)): ?>
                                        <li>
                                            <?php echo e(__('modules.module.' . $packageFeature)); ?>

                                        </li>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                    </div>
                </div>

                <div class="all-plans col-6 col-md-9">
                    <div class="row no-gutters flex-nowrap flex-wrap overflow-x-auto row-scroll">
                        <?php $__currentLoopData = $packages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php if($item->monthly_status == '1'): ?>
                                <div class="col-md-3 package-column border-top border-bottom">
                                    <div class="pricing-table price-<?php if($item->is_recommended == 1): ?> price-pro <?php endif; ?> ">
                                        <div class="price-top">
                                            <div class="price-head text-center">
                                                <h5 class="mb-0"><?php echo e($item->name); ?></h5>
                                            </div>
                                            <div class="rate">
                                                <?php if(!$item->is_free): ?>
                                                    <h2 class="mb-2">

                                                        <span
                                                            class="font-weight-bolder"><?php echo e(global_currency_format($item->monthly_price, $item->currency_id)); ?></span>

                                                    </h2>
                                                    <p class="mb-0"><?php echo app('translator')->get('superadmin.billedMonthly'); ?></p>
                                                <?php else: ?>
                                                    <h2 class="mb-2">

                                                        <span class="font-weight-bolder"><?php echo app('translator')->get('superadmin.packages.free'); ?></span>

                                                    </h2>
                                                    <p class="mb-0"><?php echo app('translator')->get('superadmin.packages.freeForever'); ?></p>
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                        <div class="price-content">
                                            <ul>
                                                <li>
                                                    <?php echo e($item->max_employees); ?>

                                                </li>

                                                <?php if($item->max_storage_size == -1): ?>
                                                    <li>
                                                        <?php echo app('translator')->get('superadmin.unlimited'); ?>
                                                    </li>
                                                <?php else: ?>
                                                    <li>
                                                        <?php echo e($item->max_storage_size); ?>


                                                        <?php if($item->storage_unit == 'mb'): ?>
                                                            <?php echo app('translator')->get('superadmin.mb'); ?>
                                                        <?php else: ?>
                                                            <?php echo app('translator')->get('superadmin.gb'); ?>
                                                        <?php endif; ?>
                                                    </li>
                                                <?php endif; ?>

                                                <?php
                                                    $packageModules = (array) json_decode($item->module_in_package);
                                                ?>
                                                <?php $__currentLoopData = $packageFeatures; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $packageFeature): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <?php if(in_array($packageFeature, $activeModule)): ?>
                                                        <li>
                                                            <?php if(in_array($packageFeature, $packageModules)): ?>
                                                                <i class="zmdi zmdi-check-circle blue"></i>
                                                            <?php else: ?>
                                                                <i class="zmdi zmdi-close-circle"></i>
                                                            <?php endif; ?>
                                                            &nbsp;
                                                        </li>
                                                    <?php endif; ?>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </ul>
                                        </div>
                                        
                                        
                                        
                                    </div>
                                </div>
                            <?php endif; ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>

            </div>
        </div>
    </div>
    <div role="tabpanel" class="tab-pane <?php if(!($monthlyPlan > 0)): ?> active <?php endif; ?>" id="yearly">
        <div class="container">
            <div class="price-wrap border-left row no-gutters">
                <div class="diff-table col-6 col-md-3 border-top border-bottom">
                    <div class="price-top">
                        <div class="price-top title">
                            <h3><?php echo app('translator')->get('superadmin.pickUp'); ?> <br> <?php echo app('translator')->get('superadmin.yourPlan'); ?></h3>
                        </div>
                        <div class="price-content">

                            <ul>
                                <li>
                                    <?php echo app('translator')->get('superadmin.max'); ?> <?php echo app('translator')->get('app.active'); ?> <?php echo app('translator')->get('app.menu.employees'); ?>
                                </li>
                                <li>
                                    <?php echo app('translator')->get('superadmin.fileStorage'); ?>
                                </li>
                                <?php $__currentLoopData = $packageFeatures; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $packageFeature): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if(in_array($packageFeature, $activeModule)): ?>
                                        <li>
                                            <?php echo e(__('modules.module.' . $packageFeature)); ?>

                                        </li>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                    </div>
                </div>

                <div class="all-plans col-6 col-md-9">
                    <div class="row no-gutters flex-nowrap flex-wrap overflow-x-auto row-scroll">
                        <?php $__currentLoopData = $packages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php if($item->annual_status == '1'): ?>
                                <div class="col-md-3 package-column border-top border-bottom">
                                    <div class="pricing-table <?php if($item->is_recommended == 1): ?> price-pro <?php endif; ?>">
                                        <div class="price-top">
                                            <div class="price-head text-center">
                                                <h5 class="mb-0"><?php echo e($item->name); ?></h5>
                                            </div>
                                            <div class="rate">
                                                <?php if(!$item->is_free): ?>
                                                    <h2 class="mb-2">

                                                        <span
                                                            class="font-weight-bolder"><?php echo e(global_currency_format($item->annual_price, $item->currency_id)); ?></span>

                                                    </h2>
                                                    <p class="mb-0"><?php echo app('translator')->get('superadmin.billedAnnually'); ?></p>
                                                <?php else: ?>
                                                    <h2 class="mb-2">

                                                        <span class="font-weight-bolder"><?php echo app('translator')->get('superadmin.packages.free'); ?></span>

                                                    </h2>
                                                    <p class="mb-0"><?php echo app('translator')->get('superadmin.packages.freeForever'); ?></p>
                                                <?php endif; ?>

                                            </div>
                                        </div>
                                        <div class="price-content">
                                            <ul>
                                                <li>
                                                    <?php echo e($item->max_employees); ?>

                                                </li>
                                                <?php if($item->max_storage_size == -1): ?>
                                                    <li>
                                                        <?php echo app('translator')->get('superadmin.unlimited'); ?>
                                                    </li>
                                                <?php else: ?>
                                                    <li>
                                                        <?php echo e($item->max_storage_size); ?>


                                                        <?php if($item->storage_unit == 'mb'): ?>
                                                            <?php echo app('translator')->get('superadmin.mb'); ?>
                                                        <?php else: ?>
                                                            <?php echo app('translator')->get('superadmin.gb'); ?>
                                                        <?php endif; ?>
                                                    </li>
                                                <?php endif; ?>
                                                <?php
                                                    $packageModules = (array) json_decode($item->module_in_package);
                                                ?>
                                                <?php $__currentLoopData = $packageFeatures; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $packageFeature): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <?php if(in_array($packageFeature, $activeModule)): ?>
                                                        <li>
                                                            <?php if(in_array($packageFeature, $packageModules)): ?>
                                                                <i class="zmdi zmdi-check-circle blue"></i>
                                                            <?php else: ?>
                                                                <i class="zmdi zmdi-close-circle"></i>
                                                            <?php endif; ?>
                                                            &nbsp;
                                                        </li>
                                                    <?php endif; ?>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </ul>
                                        </div>
                                        
                                        
                                        
                                    </div>
                                </div>
                            <?php endif; ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>

            </div>
        </div>
    </div>
</div>
<?php /**PATH /home/duceqbfx/datapadsolutions.xyz/resources/views/super-admin/saas/pricing-plan.blade.php ENDPATH**/ ?>