<?php $__env->startSection('header-section'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <section class="sp-100 login-section" id="section-contact">
        <div class="container">
            <?php if(session('company_approval_pending')): ?>
                <div class="alert alert-success">
                    <?php echo app('translator')->get('superadmin.signUpApprovalPending'); ?>
                </div>
            <?php else: ?>
                <?php if($registrationStatus->registration_open == 1): ?>
                    <div class="login-box mt-5 shadow bg-white form-section ">
                        <h4 class="mb-0 text-uppercase">
                            <?php echo app('translator')->get('app.signUp'); ?>
                        </h4>
                        <?php if (isset($component)) { $__componentOriginal18ad2e0d264f9740dc73fff715357c28 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal18ad2e0d264f9740dc73fff715357c28 = $attributes; } ?>
<?php $component = App\View\Components\Form::resolve(['method' => 'POST'] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('form'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\Form::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['id' => 'register']); ?>
                            <div class="row">
                                <div class="col-12">
                                    <div id="alert"></div>
                                </div>
                            </div>
                            <div id="form-box">
                                <div class="row">
                                    <div class="col-12">
                                        <div class="form-group mb-4">
                                            <label for="company_name"><?php echo e(__('modules.client.companyName')); ?> <sup
                                                    class="f-14 mr-1">*</sup></label>
                                            <input type="text" name="company_name" id="company_name"
                                                   placeholder="<?php echo e(__('modules.client.companyName')); ?>"
                                                   class="form-control">
                                        </div>
                                    </div>
                                    <?php if(module_enabled('Subdomain')): ?>
                                        <div class="col-12">
                                            <div class="form-group">
                                                <label
                                                    for="company_name clearfix"><?php echo e(__('subdomain::app.core.subdomain')); ?>

                                                    <sup class="f-14 mr-1">*</sup></label>
                                                <div class="input-group">
                                                    <input type="text" class="form-control" placeholder="subdomain"
                                                           onkeypress="return event.charCode != 32"
                                                           name="sub_domain" id="sub_domain">
                                                    <div class="input-group-append">
                                                    <span class="input-group-text"
                                                          id="basic-addon2">.<?php echo e(getDomain()); ?></span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    <?php endif; ?>

                                    <div class=" col-sm-12">
                                        <div class="form-group mb-4">
                                            <label for="email"><?php echo e(__('modules.profile.yourName')); ?> <sup
                                                    class="f-14 mr-1">*</sup></label>
                                            <input type="text" name="name" id="name"
                                                   placeholder="<?php echo e(__('placeholders.name')); ?>"
                                                   class="form-control">
                                        </div>
                                    </div>
                                    <div class="col-12">
                                        <div class="form-group mb-4">
                                            <label for="email"><?php echo e(__('modules.profile.yourEmail')); ?> <sup
                                                    class="f-14 mr-1">*</sup></label>
                                            <input type="email" name="email" id="email"
                                                   placeholder="<?php echo e(__('placeholders.email')); ?>" class="form-control">
                                        </div>
                                    </div>
                                    <div class="col-6">
                                        <div class="form-group mb-4">
                                            <label for="password"><?php echo e(__('modules.client.password')); ?> <sup
                                                    class="f-14 mr-1">*</sup></label>
                                            <input type="password" class="form-control " id="password" name="password"
                                                   placeholder="<?php echo e(__('modules.client.password')); ?>">
                                        </div>
                                    </div>
                                    <div class="col-6">
                                        <div class="form-group mb-4">
                                            <label for="password_confirmation"><?php echo e(__('app.confirmPassword')); ?> <sup
                                                    class="f-14 mr-1">*</sup></label>
                                            <input type="password" class="form-control" id="password_confirmation"
                                                   name="password_confirmation"
                                                   placeholder="<?php echo e(__('app.confirmPassword')); ?>">
                                        </div>
                                    </div>

                                    <div class="col-12">
                                        <?php if($global->google_recaptcha_status == 'active' && $global->google_recaptcha_v2_status == 'active'): ?>
                                            <div class="form-group" id="captcha_container"></div>
                                            <input type="hidden" id="g_recaptcha" name="g_recaptcha">
                                        <?php endif; ?>
                                        <?php if($global->google_recaptcha_status == 'active' && $global->google_recaptcha_v3_status == 'active'): ?>
                                            <div class="form-group">
                                                <input type="hidden" id="g_recaptcha" name="g_recaptcha">
                                            </div>
                                        <?php endif; ?>
                                    </div>

                                    <?php if($global->sign_up_terms == 'yes'): ?>
                                        <div class="col-12">
                                            <div class="form-group mb-2">
                                                <input autocomplete="off" id="read_agreement"
                                                       name="terms_and_conditions"
                                                       type="checkbox">
                                                <label for="read_agreement"><?php echo app('translator')->get('superadmin.superadmin.acceptTerms'); ?>
                                                    <a href="<?php echo e($global->terms_link); ?>"
                                                       target="_blank"><?php echo app('translator')->get('superadmin.superadmin.termsAndCondition'); ?></a></label>
                                            </div>
                                        </div>
                                    <?php endif; ?>

                                    <div class="col-12 mb-5">
                                        <button type="button"
                                                class="btn btn-custom btn-rounded text-uppercase waves-effect waves-light"
                                                id="submit-form">
                                            <?php echo app('translator')->get('app.signUp'); ?>
                                        </button>
                                    </div>
                                </div>

                            </div>
                         <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal18ad2e0d264f9740dc73fff715357c28)): ?>
<?php $attributes = $__attributesOriginal18ad2e0d264f9740dc73fff715357c28; ?>
<?php unset($__attributesOriginal18ad2e0d264f9740dc73fff715357c28); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal18ad2e0d264f9740dc73fff715357c28)): ?>
<?php $component = $__componentOriginal18ad2e0d264f9740dc73fff715357c28; ?>
<?php unset($__componentOriginal18ad2e0d264f9740dc73fff715357c28); ?>
<?php endif; ?>

                    </div>
                <?php else: ?>
                    <div class="login-box mt-5 form-section register-message">
                        <h5 class="mb-0 text-center">
                            <?php echo preg_replace('~^<p>(.*?)</p>$~', '$1', $signUpMessage->message); ?>

                        </h5>
                    </div>

        <?php endif; ?>
        <?php endif; ?>
    </section>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('footer-script'); ?>
    <script>

        $('#submit-form').click(function () {

            $.easyAjax({
                url: '<?php echo e(route('front.signup.store')); ?>',
                container: '.form-section',
                type: "POST",
                data: $('#register').serialize(),
                blockUI: true,
                disableButton: true,
                buttonSelector: "#submit-form",
                messagePosition: "inline",
                success: function (response) {
                    if (response.status === 'success') {
                        $('#form-box').remove();
                    } else if (response.status === 'fail') {

                        <?php if($global->google_recaptcha_status == 'active'): ?>
                        grecaptcha.reset();
                        <?php endif; ?>

                    }
                },
            });
            <?php if($global->google_recaptcha_status == 'active'): ?>
            grecaptcha.reset();
            <?php endif; ?>

        });
    </script>
    <?php if($global->google_recaptcha_status == 'active' && $global->google_recaptcha_v2_status == 'active'): ?>
        <script src="https://www.google.com/recaptcha/api.js?onload=onloadCallback&render=explicit" async
                defer></script>
        <script>
            var gcv3;
            var onloadCallback = function () {
                // Renders the HTML element with id 'captcha_container' as a reCAPTCHA widget.
                // The id of the reCAPTCHA widget is assigned to 'gcv3'.
                gcv3 = grecaptcha.render('captcha_container', {
                    'sitekey': '<?php echo e($global->google_recaptcha_v2_site_key); ?>',
                    'theme': 'light',
                    'callback': function (response) {
                        if (response) {
                            $('#g_recaptcha').val(response);
                        }
                    },
                });
            };
        </script>
    <?php endif; ?>
    <?php if($global->google_recaptcha_status == 'active' && $global->google_recaptcha_v3_status == 'active'): ?>
        <script
            src="https://www.google.com/recaptcha/api.js?render=<?php echo e($global->google_recaptcha_v3_site_key); ?>"></script>
        <script>
            grecaptcha.ready(function () {
                grecaptcha.execute('<?php echo e($global->google_recaptcha_v3_site_key); ?>').then(function (token) {
                    // Add your logic to submit to your backend server here.
                    $('#g_recaptcha').val(token);
                });
            });
        </script>
    <?php endif; ?>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('super-admin.layouts.saas-app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/duceqbfx/datapadsolutions.xyz/resources/views/super-admin/saas/register.blade.php ENDPATH**/ ?>